Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235637 - Review Request: smstools - Send and receive short messages through GSM modems
Summary: Review Request: smstools - Send and receive short messages through GSM modems
Keywords:
Status: CLOSED DUPLICATE of bug 374771
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-08 18:39 UTC by Andreas Thienemann
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-13 18:44:25 UTC
ville.skytta: fedora-review-


Attachments (Terms of Use)

Description Andreas Thienemann 2007-04-08 18:39:20 UTC
Spec URL: http://home.bawue.de/~ixs/smstools/smstools.spec
SRPM URL: http://home.bawue.de/~ixs/smstools/smstools-3.0.6-1.src.rpm
Description: 
The SMS Server Tools are made to send and receive short messages through
GSM modems. It supports easy file interfaces and it can run external
programs for automatic actions.

rpmlint is showing several warnings and errors:

rpmlint /home/andreas/fedora/redhat/RPMS/i386/smstools-3.0.6-1.i386.rpm
W: smstools conffile-without-noreplace-flag /etc/logrotate.d/smstools
E: smstools non-standard-dir-perm /var/spool/sms/failed 0750
E: smstools non-standard-dir-perm /var/spool/sms/checked 0750
E: smstools non-standard-dir-perm /var/spool/sms/outgoing 0750
E: smstools non-readable /etc/smsd.conf 0600
E: smstools non-standard-dir-perm /var/spool/sms/sent 0750
E: smstools non-standard-dir-perm /var/spool/sms/incoming 0750
E: smstools non-standard-dir-perm /var/spool/sms 0750

These errors should be ignored as the access restrictions are used to prevent unauthorized access to the spool-dirs.

Comment 1 Ville Skyttä 2007-04-08 19:31:28 UTC
Initial review, full one later (+ assignment to myself, in the meanwhile, others
feel free to chime in) if I can get this to work with hardware I have around:

(In reply to comment #0)
> These errors should be ignored as the access restrictions are used to prevent 
> unauthorized access to the spool-dirs.

* Um, "conffile-without-noreplace-flag /etc/logrotate.d/smstools" doesn't quite 
  fall into this category, should be fixed.

* Build fails if _smp_mflags is unset, a fix is not to use the toplevel Makefile
but to do explicit "make -C src ..."

* Init script (and logrotate file) would be better called "smsd", as that's what
it starts.

* Init script exit code on usage error is not LSB compliant, should be 2.  See
/usr/share/rpmdevtools/template.init for other related cleanup and action alias
suggestions.

* smsd.conf contains very environment and hardware dependent settings, perhaps
it would be a better idea to ship a very dummy one containing just a comment or
two about where to find examples and further info, and preferably make the
service startup fail with a descriptive message (see eg. the vdr package).  The
currently installed one is not an appropriate default IMO, two GSM modems
hardcoded to specific serial ports with hardcoded init AT commands etc.

* Many docs and examples (and even the default config) contain hardcoded
/usr/local paths, should be fixed to reflect actual installed locations.

* Would be better to run as a dedicated low privileged user than root, doesn't
look like that would be hard to implement.  Device permissions would be the
hardest part, IMO a quick doc about setting them for the devices in use would be
good enough.

Comment 2 Ville Skyttä 2007-04-08 21:01:22 UTC
* file /usr/bin/sendsms from install of smstools-3.0.6-1 conflicts with file
from package gnokii-0.6.14-2.fc6

* On startup:
Starting smsd: /usr/sbin/smsd: invalid option -- b

* Init script's $OPTIONS value, possibly other configurable definitions should
be moved to a /etc/sysconfig/smsd snippet

* /usr/bin/sendsms tries to write to /var/spool/sms/outgoing which doesn't work
as a normal user due to dir permissions

* There are user/group smsd.conf parameters that cause dropping of privileges to
those, but appears the privs are dropped before opening the device so it's not
that useful (just reading the code, untested)

Comment 3 Ville Skyttä 2007-04-09 20:22:24 UTC
Turns out I can only send messages with hardware at hand, receiving is not
supported with it.  Assigning to myself anyway.

Comment 4 Ville Skyttä 2007-05-21 18:23:51 UTC
ping?

Comment 5 Ville Skyttä 2007-07-20 22:17:43 UTC
ping #2?

Comment 6 Andreas Thienemann 2007-07-20 22:48:26 UTC
Been busy with the bacula stuff and the rest. I'll see what I can do about this
here in august. 

Comment 7 Ville Skyttä 2007-10-13 14:58:43 UTC
Ping #3?

Comment 8 Ville Skyttä 2007-11-10 17:02:47 UTC
Invoking stalled review process, and retracting from reviewer due to no real
response in ~7 months. https://fedoraproject.org/wiki/Extras/Policy/StalledReviews

If this is to be resurrected, coordination with another smstools review in bug
374771 is needed.

Comment 9 Ville Skyttä 2007-11-13 18:44:25 UTC

*** This bug has been marked as a duplicate of 374771 ***


Note You need to log in before you can comment on or make changes to this bug.